### Virtual Method

# Clutter Scriptable set_custom_property

#### Declaration [src]

    void
    set_custom_property (
      ClutterScriptable* scriptable,
      ClutterScript* script,
      const gchar* name,
      const GValue* value
    )

#### Description [src]

Overrides the common properties setting. The underlying virtual function should be used when implementing custom properties.

#### Parameters

`script`

  Type: `ClutterScript`

  The `ClutterScript` creating the scriptable instance.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The name of the property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  The value of the property.

  The data is owned by the caller of the function.